val79
Mechanical
- Nov 17, 2006
- 5
Hi,
I’m working on an Abaqus script (obviously in Python language) to do a parametric model. I just wrote some strings of code to create a solid model, but now I want to define a SET of faces of my model. I cannot do it, because there are some mistakes in the definition of the sting code. Here below there is the script I’m using. The wrong row is the last one. Can someone corrects it?
################################# PROGRAMMA
#
from abaqus import *
import testUtils
testUtils.setBackwardCompatibility()
from abaqusConstants import *
import sketch
import part
import section
import regionToolset
import displayGroupMdbToolset as dgm
import part
import material
import assembly
import step
import interaction
import load
import mesh
import job
import sketch
import visualization
import xyPlot
import displayGroupOdbToolset as dgo
import connectorBehavior
#
# PARAMETRI DA INSERIRE
thick = 22.9 #Spessore lastra in (mm)
L1 = 0.5 #Lunghezza prima parte in(mm)
L2 = 1
L3 = 1
L4 = 1200-(L1+L2+L3)
Ltot = 1200
length= 25 #Semi lunghezza del difetto (mm)
a= 6 #Altezza del difetto (mm)
n= 30 #Numero si strati (30 consigliato)
#
#
myModel = mdb.Model(name='Model-1')
mySketch = myModel.Sketch(name='sezione',sheetSize=200.0)
#
mySketch.Line(point1=(0.0, 0.0), point2=(0.0, thick))
mySketch.Line(point1=(0.0, thick), point2=(628.0, thick))
mySketch.Line(point1=(628.0, thick), point2=(628.0, 0.0))
mySketch.Line(point1=(628.0, 0.0), point2=(0.0, 0.0))
#
myPart = myModel.Part('Lastra', dimensionality=THREE_D, type=DEFORMABLE_BODY)
#
myPart.BaseSolidExtrude(sketch=mySketch, depth=Ltot)
#
face1center=(314,(thick/2),0)
face1=myPart.faces.findAt(face1center)
sezion=myPart.Set(face=face1, name='Sezione1')
I’m working on an Abaqus script (obviously in Python language) to do a parametric model. I just wrote some strings of code to create a solid model, but now I want to define a SET of faces of my model. I cannot do it, because there are some mistakes in the definition of the sting code. Here below there is the script I’m using. The wrong row is the last one. Can someone corrects it?
################################# PROGRAMMA
#
from abaqus import *
import testUtils
testUtils.setBackwardCompatibility()
from abaqusConstants import *
import sketch
import part
import section
import regionToolset
import displayGroupMdbToolset as dgm
import part
import material
import assembly
import step
import interaction
import load
import mesh
import job
import sketch
import visualization
import xyPlot
import displayGroupOdbToolset as dgo
import connectorBehavior
#
# PARAMETRI DA INSERIRE
thick = 22.9 #Spessore lastra in (mm)
L1 = 0.5 #Lunghezza prima parte in(mm)
L2 = 1
L3 = 1
L4 = 1200-(L1+L2+L3)
Ltot = 1200
length= 25 #Semi lunghezza del difetto (mm)
a= 6 #Altezza del difetto (mm)
n= 30 #Numero si strati (30 consigliato)
#
#
myModel = mdb.Model(name='Model-1')
mySketch = myModel.Sketch(name='sezione',sheetSize=200.0)
#
mySketch.Line(point1=(0.0, 0.0), point2=(0.0, thick))
mySketch.Line(point1=(0.0, thick), point2=(628.0, thick))
mySketch.Line(point1=(628.0, thick), point2=(628.0, 0.0))
mySketch.Line(point1=(628.0, 0.0), point2=(0.0, 0.0))
#
myPart = myModel.Part('Lastra', dimensionality=THREE_D, type=DEFORMABLE_BODY)
#
myPart.BaseSolidExtrude(sketch=mySketch, depth=Ltot)
#
face1center=(314,(thick/2),0)
face1=myPart.faces.findAt(face1center)
sezion=myPart.Set(face=face1, name='Sezione1')